Loading...
Searching...
No Matches
Opm::GasLiftStage2< Scalar, IndexTraits >::SurplusState Struct Reference

## Public Member Functions

| SurplusState (GasLiftStage2 &parent_, const Group &group_, const WellState< Scalar, IndexTraits > &well_state_, Scalar oil_rate_, Scalar gas_rate_, Scalar water_rate_, Scalar alq_, Scalar min_eco_grad_, Scalar oil_target_, Scalar gas_target_, Scalar water_target_, Scalar liquid_target_, std::optional< Scalar > max_glift_, std::optional< Scalar > max_total_gas_)
void | addOrRemoveALQincrement (GradMap &grad_map, const std::string &well_name, bool add)
bool | checkALQlimit ()
bool | checkEcoGradient (const std::string &well_name, Scalar eco_grad)
bool | checkGasTarget (Scalar delta_gas)
bool | checkLiquidTarget (Scalar delta_liquid)
bool | checkOilTarget (Scalar delta_oil)
bool | checkWaterTarget (Scalar delta_water)
std::array< Scalar, 4 > | computeDelta (const std::string &name)
void | updateRates (const std::array< Scalar, 4 > &delta)

## Public Attributes

GasLiftStage2 & | parent
const Group & | group
const WellState< Scalar, IndexTraits > & | well_state
Scalar | oil_rate
Scalar | gas_rate
Scalar | water_rate
Scalar | alq
const Scalar | min_eco_grad
const Scalar | oil_target
const Scalar | gas_target
const Scalar | water_target
const Scalar | liquid_target
std::optional< Scalar > | max_glift
std::optional< Scalar > | max_total_gas
int | it

The documentation for this struct was generated from the following files:

- opm/simulators/wells/GasLiftStage2.hpp
- opm/simulators/wells/GasLiftStage2.cpp